Author Topic: Gamin depedency is no longer available on Fedora.  (Read 623 times)

Offline johnglen244

  • Single posting newcomer
  • *
  • Posts: 1
Gamin depedency is no longer available on Fedora.
« on: August 02, 2022, 01:20:35 am »
I cannot build code::blocks because gamin is missing and it is no longer part of the package repository on Fedora.

Code
checking for GAMIN... no
configure: error: Package requirements (gamin) were not met:

Package 'gamin', required by 'virtual:world', not found

Code
[main@fedora trunk]$ sudo yum install gamin-devel
Last metadata expiration check: 2:49:32 ago on Mon 01 Aug 2022 03:15:36 PM CDT.
No match for argument: gamin-devel
Error: Unable to find a match: gamin-devel
[main@fedora trunk]$ sudo yum install gamin
Last metadata expiration check: 2:49:38 ago on Mon 01 Aug 2022 03:15:36 PM CDT.
No match for argument: gamin
Error: Unable to find a match: gamin

Offline AndrewCot

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 654
Re: Gamin depedency is no longer available on Fedora.
« Reply #1 on: August 02, 2022, 01:24:54 am »
The C::B usage of the obsolete gamin library is a known issue and already has a SF ticket for it:
    https://sourceforge.net/p/codeblocks/tickets/663/

Offline Miguel Gimenez

  • Developer
  • Lives here!
  • *****
  • Posts: 1115
Re: Gamin depedency is no longer available on Fedora.
« Reply #2 on: August 02, 2022, 01:18:30 pm »
Can you install libfam-dev?